SF.net SVN: morphix: [2386] trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
[email protected] Wed, 16 Aug 2006 16:00:49 -0700
| Newsgroups | gmane.linux.morphix.cvs |
|---|---|
| Message-ID | <[email protected]> |
Revision: 2386
Author: bmsleight
Date: 2006-08-16 16:00:45 -0700 (Wed, 16 Aug 2006)
ViewCVS: http://svn.sourceforge.net/morphix/?rev=2386&view=rev
Log Message:
-----------
Moving along...
Modified Paths:
--------------
trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
Modified: trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
===================================================================
--- trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh 2006-08-15 21:31:23 UTC (rev 2385)
+++ trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh 2006-08-16 23:00:45 UTC (rev 2386)
@@ -255,13 +255,12 @@
We make the mini-module using one of the morphix-tools
make-mini, along with isomorph to ad the MiniModule to the
-image file. Commands :-
+image file.
+Commands :-
make-mini --homedir --hidden MorphixMini-MM-Saved-Home.mod
-
isomorph --add mini MorphixMini-MM-Saved-Home.mod
./MyMorph.iso ./tmp.iso
-
mv ./tmp.iso ./MyMorph.iso
"
###########################################################
@@ -288,6 +287,13 @@
This step could take up to 45 minutes, but hey it is
automated!
+We will use these commands:-
+mmaker /usr/share/morphing-morphix/morphing-morphix.xml
+ /tmp/morphing-morphix.mod
+isomorph --add main /tmp/morphing-morphix.mod
+ ./MyMorph.iso ./tmp.iso
+mv ./tmp.iso ./MyMorph.iso
+
Continue ? "
###########################################################
MESSAGE_CHROOT="Chrooting a Main Module
@@ -307,53 +313,17 @@
MESSAGE_CHROOT_1="Chrooting a Main Module
We will now extract the MainModule. This can take a while
-as ~800M is extracted
+as ~800M is extracted. WSe arte then dropped in to the
+ModuleModule root. Once we exit we re-compresses the MainModule.
We will use the commands:-
isomorph --get main ./MyMorph.iso /tmp/
-module-extractor /tmp/mainmod.mod ./morphing/
-"
-MESSAGE_CHROOT_2="Chrooting a Main Module
-
-Previous extraction detected, do you wish to skip
-extracting the MainModule ?
-
-If you do not skip, previous changes will be lost"
-MESSAGE_CHROOT_3="Chrooting a Main Module
-
-We will now drop into at the chroot of the extracted
-filesystem.
-
-We will use these commands:-
-cp /etc/resolv.conf ./morphing/etc/resolv.conf
-chroot ./morphing/ mount -t proc /proc proc
-chroot ./morphing/
-
-After we have finished with the chroot, we will tidy up
-with this command:-
-chroot ./morphing/ umount -lf /proc
-
-When finished with your morphing fun type:
-exit
-"
-MESSAGE_CHROOT_4="Chrooting a Main Module
-
-We will now compress the mainmodule from this cd. This
-can take a while as ~800M is compressed
-
-We will use this command:-
-module-builder ./morphing/ /tmp/mainmod.mod
-
-Do you wish to skip compression and carry on morphing ?"
-MESSAGE_CHROOT_5="Chrooting a Main Module
-
-We will add the MainModuule to the iso:-
-
-isomorph --add main /tmp/mainmod.mod
+morphix-chroot /tmp/morphing-morphix.mod
+isomorph --add main /tmp/morphing-morphix.mod
./MyMorph.iso ./tmp.iso
-
mv ./tmp.iso ./MyMorph.iso
-"
+
+Continue ? "
###########################################################
MESSAGE_REBRAND="Rebrand an ISO
@@ -890,38 +860,24 @@
log_file "inside_mainmodule"
#MESSAGE_CHROOT_
xdialog_message "$MESSAGE_CHROOT"
- xdialog_message "$MESSAGE_CHROOT_1"
- SKIP=0
- if [ -e "$MNT_POINT/mmorphix/morphing/bin" ]
- then
- xdialog_yes_no "$MESSAGE_CHROOT_2"
- case $? in
- 0)
- log_file "Skip extracting";
- SKIP=1;;
- 1)
- log_file "Do not skip extracting";;
- 255)
- closing_mmorphix "morphing_main_module";;
- esac
- fi
- if [ "$SKIP" = "1" ]
- then
- log_and_do_not_do_command "sudo isomorph --get main
- $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH
- $MNT_POINT/mmorphix/morphed/"
- log_and_do_not_do_command "sudo module-extractor
- $MNT_POINT/mmorphix/morphed/$SETTING_MYMORPH_MAIN
- $MNT_POINT/mmorphix/morphing/"
- else
+ xdialog_yes_no "$MESSAGE_CHROOT_1"
+ case $? in
+ 0)
+ log_file "Do not skip extracting"
log_and_do_command_progress "sudo isomorph --get main
$MNT_POINT/mmorphix/iso/$SETTING_MYMORPH
$MNT_POINT/mmorphix/morphed/"
- log_and_do_command_progress "sudo module-extractor
- $MNT_POINT/mmorphix/morphed/$SETTING_MYMORPH_MAIN
- $MNT_POINT/mmorphix/morphing/"
- fi
-
+ log_and_do_command_progress "sudo morphix-chroot
+ $MNT_POINT/mmorphix/morphed/$SETTING_MYMORPH_MAIN "
+ log_and_do_command_progress "sudo isomorph --add main
+ $MNT_POINT/mmorphix/morphed/$SETTING_MYMORPH_MAIN
+ $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH /tmp/tmp.iso"
+ log_and_do_command "mv -f /tmp/tmp.iso $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH";;
+ 1)
+ log_file "Skip extracting";;
+ 255)
+ closing_mmorphix "morphing_main_module";;
+ esac
fi
main_menu
}
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642